getVoiceprintDeviceConfig(params: GetVoiceprintDeviceConfigParams)
Requires:
@tuya-miniapp/cloud-api≥1.x.x
Description
Get the device's voiceprint device configuration.
Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| Yes | Request parameters |
Return Value
Type: Promise<VoiceprintDeviceConfig>
GetVoiceprintDeviceConfigResult (for field meanings, see the type definition and minituya response parameters)
Referenced Types
interface
VoiceprintDeviceConfigVoiceprint device configuration| Property | Type | Description |
|---|---|---|
gid | string | Associated home ID |
deviceId | string | Associated device ID |
enableRecognize | 0 | 1 | Whether to enable voiceprint recognition (0 = no, 1 = yes) |
enableAutoRegister | 0 | 1 | Whether to enable automatic voiceprint enrollment (0 = no, 1 = yes) |
lockMode | "off" | "specified" | Voiceprint lock mode (off = unlocked, specified = lock to the specified voice user) |
lockVoiceprintVoiceUserIds | string[] | Locked voice user ID |
hasRecognizeAbility | boolean | Whether voiceprint recognition is enabled on the business side |
hasAutoRegisterAbility | boolean | Whether automatic voiceprint enrollment is enabled on the business side |
Valid Values
VoiceprintDeviceConfig.enableRecognize
| Value | Description | Since |
|---|---|---|
0 | - | - |
1 | - | - |
VoiceprintDeviceConfig.enableAutoRegister
| Value | Description | Since |
|---|---|---|
0 | - | - |
1 | - | - |
VoiceprintDeviceConfig.lockMode
| Value | Description | Since |
|---|---|---|
off | - | - |
specified | - | - |